Subject: Re: bug#59122: 29.0.50; global-text-scale-adjust not working

From: Eli Zaretskii <[email-masked]>
Date: Sun, 13 Nov 2022 08:59:15 +0200

> Cc: Gregory Heytings <[email-masked]>, [email-masked]
> From: Stefan Kangas <[email-masked]>
> Date: Sun, 13 Nov 2022 04:05:56 +0100
> 
> Rudolf Adamkovič <[email-masked]> writes:
> 
> > Works here too, but the function still increases the font size right
> > after I execute it.
> >
> > In other words, to have *no change* in font size, I have do:
> >
> > 1. type `M-x' and `global-text-scale-adjust' and `RET'
> > 2. type `-'
> > 3. type `q'
> >
> > `text-scale-adjust' does this too, so I guess ... a feature?
> 
> I guess the idea is that you should invoke it with `C-x C-M-0'?  But
> that seems to have another problem with the patch - when I type it I
> get:
> 
> Debugger entered--Lisp error: (error "Lisp nesting exceeds
> ‘max-lisp-eval-depth’")

I cannot reproduce this error, "C-x C-M-0" works as expected here.

Do you see this in "emacs -Q"?